Dec 3 2013

Are You Using a Supported Web Browser?

Posted by Brian Klaas at 9:30 AM General | Online Courses

Web browsers are updated on a regular basis. Companies like Apple, Google, and Microsoft (and the Firefox Foundation, of course) introduce new security, performance, and application features on a regular basis to make the Web as a whole a better place. Companies usually only support a subset of all possible Web browsers for their applicaitons. Google, for example, only supports the current and previous version of any Web browser for Google Apps (Mail, Drive, etc.). For example, Google only supports Internet Explorer 10 and 11 and Safari 6 and 7 as those are the current and previous versions of those Web browsers.

The CTL also only supports specific, recent versions of Web browsers for online courses and CoursePlus. The list of supported browsers for CTL sites can be found here. If you're not using a supported browser, you will run into problems, and you'll probably get a message when trying to log in to online courses or CoursePlus that your Web browser isn't supported. 

If you've been taking online courses for a while, you may be in a situation where you are using an unsupported Web browser and may not know it. Safari 5, for example, stopped being supported in June, 2013, but there are still some students who use this browser. While you can sign into online courses with that unsupported browser, you will likely run into problems with the courses and may find yourself unable to sign in with little warning.

If you are using Safari 5 or versions of Chrome or Firefox below version 15, you will not be able to sign into online courses as of December 26, 2013. You should upgrade to a newer version of that browser as soon as you can.

Search Archives

Subscribe

CoursePlus on Twitter

JHSPH Sites

Categories

Monthly Archives